Prompt with stream
POST/bv/aisk-stream/v1/prompts
This API is used to prompt streaming with the chatbot. The authorization header should be prompt token.
It'll return a 429/Too Many Requests and consider the following error reasons:
-
With
ERROR_REASON_PROMPT_THROTTLINGthat means the rate limit is reached and will temporarily throttle the chatbot which should reduce the requested rate to satisfy the chatbot rate limit.Response examples
\{"code": 8,"message": "throttle","details": [\{"@type": "type.googleapis.com/google.rpc.ErrorInfo","reason": "ERROR_REASON_PROMPT_THROTTLING","domain": "bv.aisk.v1","metadata": \{"duration": "1m0s","limit": "5","throttle_message": "Too many messages in a row","vary_by": "RATE_LIMIT_VARY_BY_DEVICE_ID","wait": "36.581786s","wait_sec": "36.581786"\}\}]\} -
With
ERROR_REASON_PROMPT_OUT_OF_QUOTAthat means the daily quota is reached and will be reset at 00:00 in the organization timezone.Response examples
\{"code": 8,"message": "out of quota","details": [\{"@type": "type.googleapis.com/google.rpc.ErrorInfo","reason": "ERROR_REASON_PROMPT_OUT_OF_QUOTA","domain": "bv.aisk.v1","metadata": \{"limit": "100","reset_at": "2024-01-06T00:00:00+08:00","reset_in": "11h18m33.091627s","reset_in_sec": "40713.091627"\}\}]\}
Request
Responses
- 200
- 400
- 401
- 403
- 429
- 500
- default
A successful response.
A unauthenticated response.
The header authorization was missing or unidentified.
A forbidden response.
It means that the provided authorization did not have enough permission to access the resource or the API.
A server error response. There are more HTTP status code mappings listed on here.
An unexpected error response.